Skip to main content
GET
/
models
获取可用模型列表
curl --request GET \
  --url https://geekai.co/api/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "gpt-4",
      "name": "GPT-4",
      "type": "chat",
      "created": 1689127080,
      "owned_by": "openai",
      "context": 8192,
      "is_free": true,
      "platform": {
        "name": "openai",
        "alias": "OpenAI",
        "website": "https://openai.com"
      }
    }
  ],
  "object": "list"
}

Documentation Index

Fetch the complete documentation index at: https://docs.geekai.co/llms.txt

Use this file to discover all available pages before exploring further.

cURL Request Example

curl --location 'https://geekai.dev/api/v1/models' --header 'Authorization: Bearer {YOUR_GEEKAI_API_KEY}'

Authorizations

Authorization
string
header
required

API认证token

Response

成功响应

data
object[]
required

模型列表

object
enum<string>
default:list

响应对象类型

Available options:
list